Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gtkmathview
#Epoch:		0
Version:	0.8.0
Release:	1
License:	GNU/LGPL-v3
URL:		http://helm.cs.unibo.it/mml-widget/
Group:		System/Libraries
Summary:	MathML rendering engine in C++
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		gtkmathview-gcc43.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: popt-devel
BuildRequires: t1lib-devel
BuildRequires: zlib-devel

%description
GtkMathView is a C++ rendering engine for MathML documents. It provides an interactive view that can be used for browsing and editing MathML markup.

GtkMathView reads MathML documents by means of a frontend whose purpose is to traverse the MathML document (or part of it) and to appropriately instantiate GtkMathView's internal data structures that are suitable for rendering it. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure 	--prefix=%{_prefix} \
		--sysconfdir=%{_sysconfdir} \
		--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/mathmlps
%{_bindir}/mathmlsvg
%{_sysconfdir}/gtkmathview/gtkmathview.conf.xml
%{_libdir}/libgtkmathview*.so.*
%{_libdir}/libmathview*.so.*
%{_datadir}/gtkmathview/
%{_mandir}/man1/mathmlviewer.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/gtkmathview/
%{_libdir}/libgtkmathview*.so
%{_libdir}/libgtkmathview*.la
%{_libdir}/libgtkmathview*.a
%{_libdir}/libmathview*.so
%{_libdir}/libmathview*.la
%{_libdir}/libmathview*.a
%{_pkgconfig}/gtkmathview-*.pc
%{_pkgconfig}/mathview-*.pc 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- initial CCux package release
